#ifndef SOSTREAM_H
#define SOSTREAM_H

#ifdef min
#undef min
#endif
#include <stdlib.h>

#if 0
extern int SoStreamInit(void);
extern void SoStreamExit(void);
#endif

extern int SoStreamOpen(void);
extern int SoStreamClose(int sock);

extern int SoStreamSetServer(char *service, unsigned short defport);
extern int SoStreamConnect(char *host, char *service, unsigned short defport);
extern int SoStreamAccept(int sock, char *host, long *inaddr);

extern void * SoStreamBufCreate(int sock);
extern void SoStreamBufDestroy(void *rbv);
extern int SoStreamBufGets(char *pline, size_t n, void *rbv);

extern int SoStreamPuts(int s, const char *line);

#endif
